MetaSoul

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Protected Member Functions | Protected Attributes | List of all members
UESIOClientComponent Class Reference

`#include <ESIOClientComponent.h>`

Inheritance diagram for UESIOClientComponent:

## Public Member Functions
void | Connect (const FString &InAddressAndPort, const FString &InPath=TEXT("socket.io"), UESJsonObject *Query=nullptr, UESJsonObject *Headers=nullptr)
void | ConnectWithParams (const FEmoShapeConnectParams &InURLParams)
void | Disconnect ()
void | SyncDisconnect ()
void | JoinNamespace (const FString &Namespace)
void | LeaveNamespace (const FString &Namespace)
void | Emit (const FString &EventName, UESJsonValue *Message=nullptr, const FString &Namespace=TEXT("/"))
void | EmitWithCallBack (const FString &EventName, UESJsonValue *Message=nullptr, const FString &CallbackFunctionName=FString(""), UObject *Target=nullptr, const FString &Namespace=TEXT("/"), UObject *WorldContextObject=nullptr)
void | EmitWithGraphCallBack (const FString &EventName, struct FLatentActionInfo LatentInfo, UESJsonValue *&Result, UESJsonValue *Message=nullptr, const FString &Namespace=TEXT("/"))
void | BindEventToDelegate (const FString &EventName, const FEmoShapeJsonValueSignature &CallbackDelegate, const FString &Namespace=TEXT("/"), EEmoShapeIOThreadOverrideOption ThreadOverride=USE_DEFAULT)
void | BindEventToGenericEvent (const FString &EventName, const FString &Namespace=TEXT("/"))
void | BindEventToFunction (const FString &EventName, const FString &FunctionName, UObject *Target, const FString &Namespace=TEXT("/"), EEmoShapeIOThreadOverrideOption ThreadOverride=USE_DEFAULT, UObject *WorldContextObject=nullptr)
void | UnbindEvent (const FString &EventName, const FString &Namespace=TEXT("/"))
void | ConnectNative (const FString &InAddressAndPort, const FString &InPath=TEXT("socket.io"), const TSharedPtr< FJsonObject > &Query=nullptr, const TSharedPtr< FJsonObject > &Headers=nullptr)
void | EmitNative (const FString &EventName, const TSharedPtr< FJsonValue > &Message=nullptr, TFunction< void(const TArray< TSharedPtr< FJsonValue > > &)> CallbackFunction=nullptr, const FString &Namespace=TEXT("/"))
void | EmitNative (const FString &EventName, const TSharedPtr< FJsonObject > &ObjectMessage=nullptr, TFunction< void(const TArray< TSharedPtr< FJsonValue > > &)> CallbackFunction=nullptr, const FString &Namespace=TEXT("/"))
void | EmitNative (const FString &EventName, const FString &StringMessage=FString(), TFunction< void(const TArray< TSharedPtr< FJsonValue > > &)> CallbackFunction=nullptr, const FString &Namespace=TEXT("/"))
void | EmitNative (const FString &EventName, const SIO_TEXT_TYPE StringMessage=TEXT(""), TFunction< void(const TArray< TSharedPtr< FJsonValue > > &)> CallbackFunction=nullptr, const FString &Namespace=TEXT("/"))
void | EmitNative (const FString &EventName, double NumberMessage, TFunction< void(const TArray< TSharedPtr< FJsonValue > > &)> CallbackFunction=nullptr, const FString &Namespace=TEXT("/"))
void | EmitNative (const FString &EventName, bool BooleanMessage, TFunction< void(const TArray< TSharedPtr< FJsonValue > > &)> CallbackFunction=nullptr, const FString &Namespace=TEXT("/"))
void | EmitNative (const FString &EventName, const TArray< uint8 > &BinaryMessage, TFunction< void(const TArray< TSharedPtr< FJsonValue > > &)> CallbackFunction=nullptr, const FString &Namespace=TEXT("/"))
void | EmitNative (const FString &EventName, const TArray< TSharedPtr< FJsonValue > > &ArrayMessage, TFunction< void(const TArray< TSharedPtr< FJsonValue > > &)> CallbackFunction=nullptr, const FString &Namespace=TEXT("/"))
void | EmitNative (const FString &EventName, UStruct *Struct, const void *StructPtr, TFunction< void(const TArray< TSharedPtr< FJsonValue > > &)> CallbackFunction=nullptr, const FString &Namespace=TEXT("/"))
void | OnNativeEvent (const FString &EventName, TFunction< void(const FString &, const TSharedPtr< FJsonValue > &)> CallbackFunction, const FString &Namespace=TEXT("/"), EEmoShapeIOThreadOverrideOption ThreadOverride=USE_DEFAULT)
void | OnBinaryEvent (const FString &EventName, TFunction< void(const FString &, const TArray< uint8 > &)> CallbackFunction, const FString &Namespace=TEXT("/"))
void | StaticInitialization (UObject *WorldContextObject, bool bValidOwnerWorld)
virtual void | InitializeComponent () override
virtual void | UninitializeComponent () override
virtual void | BeginPlay () override
| ~UESIOClientComponent ()

## Public Attributes
FEmoShapeEventJsonSignature | OnGenericEvent
FEmoShapeOpenEventSignature | OnConnected
FEmoShapeCloseEventSignature | OnDisconnected
FEmoShapeConnectionProblemSignature | OnConnectionProblems
FEmoShapeSocketEventSignature | OnSocketNamespaceConnected
FEmoShapeSocketEventSignature | OnSocketNamespaceDisconnected
FEmoShapeEventSignature | OnFail
FEmoShapeConnectParams | URLParams
bool | bForceTLS
bool | bUnbindEventsOnDisconnect
bool | bShouldVerifyTLSCertificate
bool | bShouldAutoConnect
int32 | ReconnectionDelayInMs
int32 | MaxReconnectionAttempts
float | ReconnectionTimeout
FDateTime | TimeWhenConnectionProblemsStarted
bool | bVerboseConnectionLog
bool | bLimitConnectionToGameWorld
bool | bPluginScopedConnection
FString | PluginScopedId
bool | bIsConnected
FString | SessionId
bool | bIsHavingConnectionProblems
bool | bStaticallyInitialized

## Protected Member Functions
void | SetupCallbacks ()
void | ClearCallbacks ()
void | InitializeNative ()
bool | CallBPFunctionWithResponse (UObject *Target, const FString &FunctionName, TArray< TSharedPtr< FJsonValue > > Response)
bool | CallBPFunctionWithMessage (UObject *Target, const FString &FunctionName, TSharedPtr< FJsonValue > Message)

## Protected Attributes
FCriticalSection | AllocationSection
TSharedPtr< FESIONative > | NativeClient

## Constructor & Destructor Documentation

## ◆ ~UESIOClientComponent()

UESIOClientComponent::~UESIOClientComponent | ( |  | ) |

## Member Function Documentation

## ◆ BeginPlay()

void UESIOClientComponent::BeginPlay | ( |  | ) |
| override virtual

## ◆ BindEventToDelegate()

void UESIOClientComponent::BindEventToDelegate | ( | const FString & | EventName,
|  | const FEmoShapeJsonValueSignature & | CallbackDelegate,
|  | const FString & | Namespace = TEXT("/"),
|  | EEmoShapeIOThreadOverrideOption | ThreadOverride = USE_DEFAULT )

Bind an event directly to a matching delegate. Drag off from red box or use create event option.

Parameters

  EventName | Event name
  CallbackDelegate | Delegate that needs to be bound
  Namespace | Optional namespace, defaults to default namespace
  ThreadOverride | Optional override to receive event on specified thread. Note NETWORK thread is lower latency but unsafe for a lot of blueprint use. Use with CAUTION.

## ◆ BindEventToFunction()

void UESIOClientComponent::BindEventToFunction | ( | const FString & | EventName,
|  | const FString & | FunctionName,
|  | UObject * | Target,
|  | const FString & | Namespace = TEXT("/"),
|  | EEmoShapeIOThreadOverrideOption | ThreadOverride = USE_DEFAULT,
|  | UObject * | WorldContextObject = nullptr )

Bind an event to a function with the given name. Expects a String message signature which can be decoded from JSON into EmoShapeJsonObject

Parameters

  EventName | Event name
  FunctionName | The function that gets called when the event is received
  Target | Optional, defaults to caller self. Change to delegate to another class.
  Namespace | Optional namespace, defaults to default namespace
  ThreadOverride | Optional override to receive event on specified thread. Note NETWORK thread is lower latency but unsafe for a lot of blueprint use. Use with CAUTION.

## ◆ BindEventToGenericEvent()

void UESIOClientComponent::BindEventToGenericEvent | ( | const FString & | EventName,
|  | const FString & | Namespace = TEXT("/") )

Bind an event, then respond to it with 'OnGenericEvent' multi-cast delegate. If you want functions or custom events to receive the event, use Bind Event To Function.

Parameters

  EventName | Event name
  Namespace | Optional namespace, defaults to default namespace

## ◆ CallBPFunctionWithMessage()

bool UESIOClientComponent::CallBPFunctionWithMessage | ( | UObject * | Target,
|  | const FString & | FunctionName,
|  | TSharedPtr< FJsonValue > | Message )
| protected

## ◆ CallBPFunctionWithResponse()

bool UESIOClientComponent::CallBPFunctionWithResponse | ( | UObject * | Target,
|  | const FString & | FunctionName,
|  | TArray< TSharedPtr< FJsonValue > > | Response )
| protected

## ◆ ClearCallbacks()

void UESIOClientComponent::ClearCallbacks | ( |  | ) |
| protected

## ◆ Connect()

void UESIOClientComponent::Connect | ( | const FString & | InAddressAndPort,
|  | const FString & | InPath = TEXT("socket.io"),
|  | UESJsonObject * | Query = nullptr,
|  | UESJsonObject * | Headers = nullptr )

Connect to a socket.io server, optional method if auto-connect is set to true. Query and headers are defined by a {'stringKey':'stringValue'} EmoShapeJson Object

Parameters

  AddressAndPort | the address in URL format with port
  Path | optional ws:// trailing path for socket.io connection
  Query | http query as a EmoShapeJsonObject with string keys and values
  Headers | http header as a EmoShapeJsonObject with string keys and values

## ◆ ConnectNative()

void UESIOClientComponent::ConnectNative | ( | const FString & | InAddressAndPort,
|  | const FString & | InPath = TEXT("socket.io"),
|  | const TSharedPtr< FJsonObject > & | Query = nullptr,
|  | const TSharedPtr< FJsonObject > & | Headers = nullptr )

Connect to a socket.io server, optional method if auto-connect is set to true. Query and headers are defined by a {'stringKey':'stringValue'} FJsonObjects

Parameters

  AddressAndPort | the address in URL format with port
  Path | the path of the socketio server (ex: "socket.io"
  Query | http query as a FJsonObject with string keys and values
  Headers | http header as a FJsonObject with string keys and values

## ◆ ConnectWithParams()

void UESIOClientComponent::ConnectWithParams | ( | const FEmoShapeConnectParams & | InURLParams | ) |

Connect to a socket.io server, optional method if auto-connect is set to true.

Parameters

  InURLParams | - A struct holding address&port, path, headers, and query params

## ◆ Disconnect()

void UESIOClientComponent::Disconnect | ( |  | ) |

Disconnect from current socket.io server. This is an asynchronous action, subscribe to OnDisconnected to know when you can safely continue from a disconnected state.

Parameters

  AddressAndPort | the address in URL format with port

## ◆ Emit()

void UESIOClientComponent::Emit | ( | const FString & | EventName,
|  | UESJsonValue * | Message = nullptr,
|  | const FString & | Namespace = TEXT("/") )

Emit an event with a JsonValue message

Parameters

  Name | Event name
  Message | EmoShapeJsonValue
  Namespace | Namespace within socket.io

## ◆ EmitNative() [1/9]

void UESIOClientComponent::EmitNative | ( | const FString & | EventName,
|  | bool | BooleanMessage,
|  | TFunction< void(const TArray< TSharedPtr< FJsonValue > > &)> | CallbackFunction = nullptr,
|  | const FString & | Namespace = TEXT("/") )

(Overloaded) Emit an event with a bool message

Parameters

  EventName | Event name
  BooleanMessage | Message in bool format
  CallbackFunction | Optional callback TFunction
  Namespace | Optional Namespace within socket.io

## ◆ EmitNative() [2/9]

void UESIOClientComponent::EmitNative | ( | const FString & | EventName,
|  | const FString & | StringMessage = FString(),
|  | TFunction< void(const TArray< TSharedPtr< FJsonValue > > &)> | CallbackFunction = nullptr,
|  | const FString & | Namespace = TEXT("/") )

(Overloaded) Emit an event with a string message

Parameters

  EventName | Event name
  StringMessage | Message in string format
  CallbackFunction | Optional callback TFunction
  Namespace | Optional Namespace within socket.io

## ◆ EmitNative() [3/9]

void UESIOClientComponent::EmitNative | ( | const FString & | EventName,
|  | const SIO_TEXT_TYPE | StringMessage = TEXT(""),
|  | TFunction< void(const TArray< TSharedPtr< FJsonValue > > &)> | CallbackFunction = nullptr,
|  | const FString & | Namespace = TEXT("/") )

(Overloaded) Emit an event with a string message

Parameters

  EventName | Event name
  StringMessage | Message in string format
  CallbackFunction | Optional callback TFunction
  Namespace | Optional Namespace within socket.io

## ◆ EmitNative() [4/9]

void UESIOClientComponent::EmitNative | ( | const FString & | EventName,
|  | const TArray< TSharedPtr< FJsonValue > > & | ArrayMessage,
|  | TFunction< void(const TArray< TSharedPtr< FJsonValue > > &)> | CallbackFunction = nullptr,
|  | const FString & | Namespace = TEXT("/") )

(Overloaded) Emit an event with an array message

Parameters

  EventName | Event name
  ArrayMessage | Message in an TArray of FJsonValues
  CallbackFunction | Optional callback TFunction
  Namespace | Optional Namespace within socket.io

## ◆ EmitNative() [5/9]

void UESIOClientComponent::EmitNative | ( | const FString & | EventName,
|  | const TArray< uint8 > & | BinaryMessage,
|  | TFunction< void(const TArray< TSharedPtr< FJsonValue > > &)> | CallbackFunction = nullptr,
|  | const FString & | Namespace = TEXT("/") )

(Overloaded) Emit an event with a binary message

Parameters

  EventName | Event name
  BinaryMessage | Message in an TArray of uint8
  CallbackFunction | Optional callback TFunction
  Namespace | Optional Namespace within socket.io

## ◆ EmitNative() [6/9]

void UESIOClientComponent::EmitNative | ( | const FString & | EventName,
|  | const TSharedPtr< FJsonObject > & | ObjectMessage = nullptr,
|  | TFunction< void(const TArray< TSharedPtr< FJsonValue > > &)> | CallbackFunction = nullptr,
|  | const FString & | Namespace = TEXT("/") )

(Overloaded) Emit an event with a Json Object message

Parameters

  EventName | Event name
  ObjectMessage | FJsonObject
  CallbackFunction | Optional callback TFunction
  Namespace | Optional Namespace within socket.io

## ◆ EmitNative() [7/9]

void UESIOClientComponent::EmitNative | ( | const FString & | EventName,
|  | const TSharedPtr< FJsonValue > & | Message = nullptr,
|  | TFunction< void(const TArray< TSharedPtr< FJsonValue > > &)> | CallbackFunction = nullptr,
|  | const FString & | Namespace = TEXT("/") )

Emit an event with a JsonValue message

Parameters

  EventName | Event name
  Message | FJsonValue
  CallbackFunction | Optional callback TFunction
  Namespace | Optional Namespace within socket.io

## ◆ EmitNative() [8/9]

void UESIOClientComponent::EmitNative | ( | const FString & | EventName,
|  | double | NumberMessage,
|  | TFunction< void(const TArray< TSharedPtr< FJsonValue > > &)> | CallbackFunction = nullptr,
|  | const FString & | Namespace = TEXT("/") )

(Overloaded) Emit an event with a number (double) message

Parameters

  EventName | Event name
  NumberMessage | Message in double format
  CallbackFunction | Optional callback TFunction
  Namespace | Optional Namespace within socket.io

## ◆ EmitNative() [9/9]

void UESIOClientComponent::EmitNative | ( | const FString & | EventName,
|  | UStruct * | Struct,
|  | const void * | StructPtr,
|  | TFunction< void(const TArray< TSharedPtr< FJsonValue > > &)> | CallbackFunction = nullptr,
|  | const FString & | Namespace = TEXT("/") )

(Overloaded) Emit an event with an UStruct message

Parameters

  EventName | Event name
  Struct | UStruct type usually obtained via e.g. FMyStructType::StaticStruct()
  StructPtr | Pointer to the actual struct memory e.g. &MyStruct
  CallbackFunction | Optional callback TFunction
  Namespace | Optional Namespace within socket.io

## ◆ EmitWithCallBack()

void UESIOClientComponent::EmitWithCallBack | ( | const FString & | EventName,
|  | UESJsonValue * | Message = nullptr,
|  | const FString & | CallbackFunctionName = FString(""),
|  | UObject * | Target = nullptr,
|  | const FString & | Namespace = TEXT("/"),
|  | UObject * | WorldContextObject = nullptr )

Emit an event with a JsonValue message with a callback function defined by CallBackFunctionName

Parameters

  Name | Event name
  Message | EmoShapeJsonValue
  CallbackFunctionName | Name of the optional callback function with signature (String, EmoShapeJsonValue)
  Target | Optional, defaults to caller self. Change to delegate function callback to another class.
  Namespace | Namespace within socket.io

## ◆ EmitWithGraphCallBack()

void UESIOClientComponent::EmitWithGraphCallBack | ( | const FString & | EventName,
|  | struct FLatentActionInfo | LatentInfo,
|  | UESJsonValue *& | Result,
|  | UESJsonValue * | Message = nullptr,
|  | const FString & | Namespace = TEXT("/") )

Emit an event with a JsonValue message with a result callback directly into the event graph. This cannot be called from within blueprint functions.

Parameters

  Name | Event name
  LatentInfo | Graph callback reference
  Result | Graph callback result EmoShapesonValue
  Message | EmoShapeJsonValue
  Namespace | Namespace within socket.io

## ◆ InitializeComponent()

void UESIOClientComponent::InitializeComponent | ( |  | ) |
| override virtual

## ◆ InitializeNative()

void UESIOClientComponent::InitializeNative | ( |  | ) |
| protected

## ◆ JoinNamespace()

void UESIOClientComponent::JoinNamespace | ( | const FString & | Namespace | ) |

Join a desired namespace. Keep in mind that emitting to a namespace will auto-join it

## ◆ LeaveNamespace()

void UESIOClientComponent::LeaveNamespace | ( | const FString & | Namespace | ) |

Leave a specified namespace. Should stop listening to events on given namespace.

## ◆ OnBinaryEvent()

void UESIOClientComponent::OnBinaryEvent | ( | const FString & | EventName,
|  | TFunction< void(const FString &, const TArray< uint8 > &)> | CallbackFunction,
|  | const FString & | Namespace = TEXT("/") )

Call function callback on receiving binary event. C++ only.

Parameters

  EventName | Event name
  TFunction | Lambda callback, raw flavor
  Namespace | Optional namespace, defaults to default namespace

## ◆ OnNativeEvent()

void UESIOClientComponent::OnNativeEvent | ( | const FString & | EventName,
|  | TFunction< void(const FString &, const TSharedPtr< FJsonValue > &)> | CallbackFunction,
|  | const FString & | Namespace = TEXT("/"),
|  | EEmoShapeIOThreadOverrideOption | ThreadOverride = USE_DEFAULT )

Call function callback on receiving socket event. C++ only.

Parameters

  EventName | Event name
  TFunction | Lambda callback, JSONValue
  Namespace | Optional namespace, defaults to default namespace
  ThreadOverride | Optional override to receive event on specified thread. Note NETWORK thread is lower latency but unsafe for a lot of blueprint use. Use with CAUTION.

## ◆ SetupCallbacks()

void UESIOClientComponent::SetupCallbacks | ( |  | ) |
| protected

## ◆ StaticInitialization()

void UESIOClientComponent::StaticInitialization | ( | UObject * | WorldContextObject,
|  | bool | bValidOwnerWorld )

Called by SocketIOFunctionLibrary to initialize statically constructed components.

## ◆ SyncDisconnect()

void UESIOClientComponent::SyncDisconnect | ( |  | ) |

## ◆ UnbindEvent()

void UESIOClientComponent::UnbindEvent | ( | const FString & | EventName,
|  | const FString & | Namespace = TEXT("/") )

Unbind an event from whatever it was bound to (safe to call if not already bound)

Parameters

  EventName | Event name
  Namespace | Optional namespace, defaults to default namespace

## ◆ UninitializeComponent()

void UESIOClientComponent::UninitializeComponent | ( |  | ) |
| override virtual

## Member Data Documentation

## ◆ AllocationSection

FCriticalSection UESIOClientComponent::AllocationSection
| protected

## ◆ bForceTLS

bool UESIOClientComponent::bForceTLS

Will force using TLS even if url doesn't have https:// prepend.

## ◆ bIsConnected

bool UESIOClientComponent::bIsConnected

## ◆ bIsHavingConnectionProblems

bool UESIOClientComponent::bIsHavingConnectionProblems

## ◆ bLimitConnectionToGameWorld

bool UESIOClientComponent::bLimitConnectionToGameWorld

## ◆ bPluginScopedConnection

bool UESIOClientComponent::bPluginScopedConnection

Toggle which enables plugin scoped connections. If you enable this the connection will remain until you manually call disconnect or close the app. The latest connection with the same PluginScopedId will use the same connection as the previous one and receive the same events.

## ◆ bShouldAutoConnect

bool UESIOClientComponent::bShouldAutoConnect

If true will auto-connect on begin play to address specified in AddressAndPort.

## ◆ bShouldVerifyTLSCertificate

bool UESIOClientComponent::bShouldVerifyTLSCertificate

If using a TLS url (or if forced) and setting this to false will not verify the authenticity of the SSL certificate (i.e. asio::ssl::verify_none).

NOTE: Certification verification is currently not implemented; setting to true will always fail verification.

## ◆ bStaticallyInitialized

bool UESIOClientComponent::bStaticallyInitialized

If this component has been statically initialized. Largely exposed for traceability.

## ◆ bUnbindEventsOnDisconnect

bool UESIOClientComponent::bUnbindEventsOnDisconnect

If true, all your bound events will unbind on disconnect. Useful for cleanup if typically binding on connection and there are no early event binds (before connection).

## ◆ bVerboseConnectionLog

bool UESIOClientComponent::bVerboseConnectionLog

## ◆ MaxReconnectionAttempts

int32 UESIOClientComponent::MaxReconnectionAttempts

Number of times the connection should try before giving up. Default: infinity, this means you never truly disconnect, just suffer connection problems

## ◆ NativeClient

TSharedPtr<FESIONative> UESIOClientComponent::NativeClient
| protected

## ◆ OnConnected

FEmoShapeOpenEventSignature UESIOClientComponent::OnConnected

Received on socket.io connection established.

## ◆ OnConnectionProblems

FEmoShapeConnectionProblemSignature UESIOClientComponent::OnConnectionProblems

Received when connection problems arise. In default settings the connection will keep repeating trying to reconnect an infinite amount of times and you may never get OnDisconnected callback unless you call it.

## ◆ OnDisconnected

FEmoShapeCloseEventSignature UESIOClientComponent::OnDisconnected

Received on socket.io connection disconnected. This may never get called in default settings, see OnConnectionProblems event for details.

## ◆ OnFail

FEmoShapeEventSignature UESIOClientComponent::OnFail

Received on connection failure.

## ◆ OnGenericEvent

FEmoShapeEventJsonSignature UESIOClientComponent::OnGenericEvent

On generic bound event received. Requires Bind Event to Generic Event to be called before. Will not receive Bind Event To Function events.

## ◆ OnSocketNamespaceConnected

FEmoShapeSocketEventSignature UESIOClientComponent::OnSocketNamespaceConnected

Received on having joined namespace.

## ◆ OnSocketNamespaceDisconnected

FEmoShapeSocketEventSignature UESIOClientComponent::OnSocketNamespaceDisconnected

Received on having left namespace.

## ◆ PluginScopedId

FString UESIOClientComponent::PluginScopedId

If you leave this as is all plugin scoped connection components will share same connection

## ◆ ReconnectionDelayInMs

int32 UESIOClientComponent::ReconnectionDelayInMs

Delay between reconnection attempts

## ◆ ReconnectionTimeout

float UESIOClientComponent::ReconnectionTimeout

Optional parameter to limit reconnections by elapsed time. Default: infinity.

## ◆ SessionId

FString UESIOClientComponent::SessionId

When connected this session id will be valid and contain a unique Id.

## ◆ TimeWhenConnectionProblemsStarted

FDateTime UESIOClientComponent::TimeWhenConnectionProblemsStarted

## ◆ URLParams

FEmoShapeConnectParams UESIOClientComponent::URLParams

Default connection params used on e.g. on begin play. Can be updated and re-used on custom connection.

The documentation for this class was generated from the following files:

- EmoShapeIOClient/Public/ESIOClientComponent.h
- EmoShapeIOClient/Private/ESIOClientComponent.cpp